/*
 * This namespace should contain Class1.
 * @author Author
 * @version 1.0
 */
namespace N1 {
   class Class1
   {
   public:
      Class1();
      ~Class1();
   };
}
/*
 * This namespace should contain Class2
 * with a reference to N1::Class1.
 * @author Author
 * @version 1.0
 */
namespace N2 {
   class Class2 : public N1::Class1
   {
   public:
      Class2();
      ~Class2();
   };
}
